| The Gaudi Framework v32r1 (f65d50dc)

Static Public Member Functions | List of all members
GaudiPython::TupleAlgDecorator Class Reference

Simple class to perform the "decoration" of Tuples in Python/ROOT. More...

`#include <GaudiPython/TupleDecorator.h>`

## Static Public Member Functions
static Tuples::Tuple | nTuple (const GaudiTupleAlg &algo, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | nTuple (const GaudiTupleAlg &algo, const GaudiAlg::TupleID &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | nTuple (const GaudiTupleAlg &algo, const int ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | nTuple (const GaudiTupleAlg &algo, const std::string &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | evtCol (const GaudiTupleAlg &algo, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | evtCol (const GaudiTupleAlg &algo, const GaudiAlg::TupleID &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | evtCol (const GaudiTupleAlg &algo, const int ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | evtCol (const GaudiTupleAlg &algo, const std::string &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...

## Detailed Description

Simple class to perform the "decoration" of Tuples in Python/ROOT.

Author
  Vanya BELYAEV ibely.nosp@m.aev@.nosp@m.physi.nosp@m.cs.s.nosp@m.yr.ed.nosp@m.u

Date
  2005-08-17

Definition at line 266 of file TupleDecorator.h.

## Member Function Documentation

## ◆ evtCol() [1/4]

Tuples::Tuple GaudiPython::TupleAlgDecorator::evtCol | ( | const GaudiTupleAlg & | algo,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| static

get n-tuple (book-on-demand)

Definition at line 473 of file TupleDecorator.cpp.

474 {
475 return algo.evtCol( title, clid );
476 }
GaudiTuples::evtCol
Tuple evtCol(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const
Access an Event Tag Collection object (book on-demand) with unique identifier.
Definition: GaudiTuples.icpp:140

## ◆ evtCol() [2/4]

Tuples::Tuple GaudiPython::TupleAlgDecorator::evtCol | ( | const GaudiTupleAlg & | algo,
|  | const GaudiAlg::TupleID & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| static

get n-tuple (book-on-demand)

Definition at line 478 of file TupleDecorator.cpp.

479 {
480 return algo.evtCol( ID, title, clid );
481 }
GaudiTuples::evtCol
Tuple evtCol(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const
Access an Event Tag Collection object (book on-demand) with unique identifier.
Definition: GaudiTuples.icpp:140

## ◆ evtCol() [3/4]

Tuples::Tuple GaudiPython::TupleAlgDecorator::evtCol | ( | const GaudiTupleAlg & | algo,
|  | const int | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| static

get n-tuple (book-on-demand)

Definition at line 483 of file TupleDecorator.cpp.

484 {
485 return algo.evtCol( ID, title, clid );
486 }
GaudiTuples::evtCol
Tuple evtCol(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const
Access an Event Tag Collection object (book on-demand) with unique identifier.
Definition: GaudiTuples.icpp:140

## ◆ evtCol() [4/4]

Tuples::Tuple GaudiPython::TupleAlgDecorator::evtCol | ( | const GaudiTupleAlg & | algo,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| static

get n-tuple (book-on-demand)

Definition at line 488 of file TupleDecorator.cpp.

489 {
490 return algo.evtCol( ID, title, clid );
491 }
GaudiTuples::evtCol
Tuple evtCol(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const
Access an Event Tag Collection object (book on-demand) with unique identifier.
Definition: GaudiTuples.icpp:140

## ◆ nTuple() [1/4]

Tuples::Tuple GaudiPython::TupleAlgDecorator::nTuple | ( | const GaudiTupleAlg & | algo,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| static

get n-tuple (book-on-demand)

Definition at line 453 of file TupleDecorator.cpp.

454 {
455 return algo.nTuple( title, clid );
456 }
GaudiTuples::nTuple
Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const
Access an N-Tuple object (book on-demand) with unique identifier.
Definition: GaudiTuples.icpp:107

## ◆ nTuple() [2/4]

Tuples::Tuple GaudiPython::TupleAlgDecorator::nTuple | ( | const GaudiTupleAlg & | algo,
|  | const GaudiAlg::TupleID & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| static

get n-tuple (book-on-demand)

Definition at line 458 of file TupleDecorator.cpp.

459 {
460 return algo.nTuple( ID, title, clid );
461 }
GaudiTuples::nTuple
Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const
Access an N-Tuple object (book on-demand) with unique identifier.
Definition: GaudiTuples.icpp:107

## ◆ nTuple() [3/4]

Tuples::Tuple GaudiPython::TupleAlgDecorator::nTuple | ( | const GaudiTupleAlg & | algo,
|  | const int | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| static

get n-tuple (book-on-demand)

Definition at line 463 of file TupleDecorator.cpp.

464 {
465 return algo.nTuple( ID, title, clid );
466 }
GaudiTuples::nTuple
Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const
Access an N-Tuple object (book on-demand) with unique identifier.
Definition: GaudiTuples.icpp:107

## ◆ nTuple() [4/4]

Tuples::Tuple GaudiPython::TupleAlgDecorator::nTuple | ( | const GaudiTupleAlg & | algo,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| static

get n-tuple (book-on-demand)

Definition at line 468 of file TupleDecorator.cpp.

469 {
470 return algo.nTuple( ID, title, clid );
471 }
GaudiTuples::nTuple
Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const
Access an N-Tuple object (book on-demand) with unique identifier.
Definition: GaudiTuples.icpp:107

The documentation for this class was generated from the following files:

- GaudiPython/GaudiPython/TupleDecorator.h
- GaudiPython/src/Lib/TupleDecorator.cpp